# Get All Documents **GET /v2/transactions/{id}/documents** Returns a full list of documents associated with a specific transaction. ## Servers - https://api.pre.transactiondesk.com: https://api.pre.transactiondesk.com () ## Authentication methods - Bearer auth ## Parameters ### Path parameters - **id** (string(uuid)) TransactionGUID ### Query parameters - **$orderDir** (string) - **$skip** (integer) - **$take** (integer) - **$orderBy** (string) ## Responses ### 200 List of documents returned successfully #### Body: application/json (array[object]) - **id** (string(uuid)) DocumentGUID - **fileTypeId** (string(uuid)) File type GUID. See Glossary for values. - **documentName** (string) - **dateCreated** (string(date-time)) - **lastModified** (string(date-time)) ### 401 Unauthorized #### Body: application/json (object) - **code** (integer) - **message** (string) - **details** (array) - **data** () [Powered by Bump.sh](https://bump.sh)